package com.ruoyi.jarvis.service.impl;

import com.ruoyi.jarvis.domain.GiftCoupon;
import com.ruoyi.jarvis.mapper.GiftCouponMapper;
import com.ruoyi.jarvis.service.IGiftCouponService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 礼金信息 Service 实现类
 */
@Service
public class GiftCouponServiceImpl implements IGiftCouponService {

    @Autowired
    private GiftCouponMapper giftCouponMapper;

    @Override
    public List<GiftCoupon> selectGiftCouponList(GiftCoupon giftCoupon) {
        return giftCouponMapper.selectGiftCouponList(giftCoupon);
    }

    @Override
    public GiftCoupon selectGiftCouponByKey(String giftCouponKey) {
        return giftCouponMapper.selectGiftCouponByKey(giftCouponKey);
    }

    @Override
    public GiftCoupon selectGiftCouponStatistics(GiftCoupon giftCoupon) {
        return giftCouponMapper.selectGiftCouponStatistics(giftCoupon);
    }

    @Override
    public int insertGiftCoupon(GiftCoupon giftCoupon) {
        return giftCouponMapper.insertGiftCoupon(giftCoupon);
    }

    @Override
    public int updateGiftCoupon(GiftCoupon giftCoupon) {
        return giftCouponMapper.updateGiftCoupon(giftCoupon);
    }
}
